@import url('https://fonts.googleapis.com/css2?family=Instrument+Sans:ital,wght@0,400..700;1,400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap');

:root {
    --gold-primary: #DFAC2A;
    --royal-blue: #002066;
    --dark-background: #0D1117;
    --text-black: #000000;
    --background-white: #FFFFFF;
    /* --bs-body-font-family: 'Open Sans', sans-serif; */
    --bs-body-font-family: "Instrument Sans", sans-serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    overflow-x: hidden;
    scroll-behavior: smooth;
}

section {
    overflow-x: hidden;
}



h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Figtree', sans-serif;
    font-weight: 800;
}

.font-headline {
    font-family: 'Figtree', sans-serif;
}

.font-body {
    font-family: 'Instrument Sans', sans-serif;
}

.bg-royal-blue {
    background-color: var(--royal-blue) !important;
}

.text-royal-blue {
    color: var(--royal-blue) !important;
}

.text-gold-primary {
    color: var(--gold-primary) !important;
}

.border-gold-primary {
    border-color: var(--gold-primary) !important;
}

.hero-bg {
    background: linear-gradient(to bottom, var(--royal-blue) 0%, var(--dark-background) 100%);
    align-items: center;
    background-size: cover;
    background-position: center;


    position: relative;
}

.hero-bg::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.6)), url(../img/home-banner.png) center center no-repeat;
    align-items: center;
    background-size: cover;
    background-position: center;
    opacity: 0.8;
    z-index: 1;
}

.hero-content {
    position: relative;
    z-index: 10;
}

.btn-primary-gold {
    background-color: var(--gold-primary);
    color: var(--dark-background);
    font-weight: bold;
    border: none;
    color: var(--background-white);
    border-color: var(--gold-primary);
    padding: 1rem;
    border-radius: .375rem;
    font-weight: 600;
    transition: background-color 0.3s ease;
    font-size: 1rem;
    line-height: 100%;
    position: relative;
    overflow: hidden;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}


/* animation btn css */

.btn-primary-gold::after,
.btn-primary-gold::after {

    content: '';
    position: absolute;
    height: 350%;
    width: 200%;
    top: 0;
    left: -100%;
    background: rgba(255, 255, 255, 0.8);
    border-radius: 100%;
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0);
    z-index: 20;
    -webkit-animation-name: ripple;
    animation-name: ripple;
    -webkit-animation-duration: 6s;
    animation-duration: 6s;
    -webkit-animation-timing-function: linear;
    animation-timing-function: linear;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
}


@-webkit-keyframes ripple {
    20% {
        opacity: 0;
        -webkit-transform: scale(2.5);
        transform: scale(2.5);
    }

    100% {
        opacity: 0;
        -webkit-transform: scale(2.5);
        transform: scale(2.5);
    }
}

@keyframes ripple {
    20% {
        opacity: 0;
        -webkit-transform: scale(2.5);
        transform: scale(2.5);
    }

    100% {
        opacity: 0;
        -webkit-transform: scale(2.5);
        transform: scale(2.5);
    }
}

.btn-primary-gold:hover {
    background-color: var(--royal-blue);
    color: var(--background-white);
}

#vendors .btn-primary-gold:hover {
    background-color: #25D366;
    color: var(--background-white);
}


/* 
.btn-social {
    background-color: transparent;
    border: 1px solid rgba(255, 255, 255, 0.3);
    transition: background-color 0.3s, border-color 0.3s;
}

.btn-social:hover {
    background-color: rgba(212, 175, 55, 0.1);
    border-color: var(--gold-primary);
    transform: none;
} */

.fade-in {
    opacity: 0;
    transform: translateY(24px);
    transition: opacity 1.0s ease-out, transform 0.8s ease-out;
}

.fade-in.is-visible {
    opacity: 1;
    transform: translateY(0);
}

.tagline-container {
    min-height: 100px;
}

.tagline {
    display: block;
    opacity: 0;
    transition: opacity 0.8s ease-in-out;
}

.tagline.active {
    opacity: 1;
}

.padding_80 {
    padding-top: clamp(40px, 8vw, 80px);
    padding-bottom: clamp(40px, 8vw, 80px);
}

.banner_text {
    font-weight: 800;
    line-height: 1.1;
    font-size: clamp(2.2rem, 5vw, 3.75rem);
    color: var(--gold-primary);
    text-transform: capitalize;
}

.bg-facebook {
    background-color: #1877F2 !important;
    color: #fff;
    text-decoration: none;
}

.btn-social.bg-facebook:hover {
    background-color: #145DBF !important;
    color: #fff;
    text-decoration: none;
    transition: background-color 0.3s ease;
}

.bg-instagram {
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d6249f 60%, #285AEB 90%) !important;
    color: #fff;
    text-decoration: none;
}

.btn-social.bg-instagram:hover {
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 10%, #fd5949 50%, #d6249f 70%, #285AEB 100%) !important;
    color: #fff;
    text-decoration: none;
    transition: background-color 0.3s ease;
}

.bg-tiktok {
    background-color: #000000 !important;
    color: #fff;
    text-decoration: none;

}

.btn-social.bg-tiktok:hover {
    background-color: #FFFFFF !important;
    color: #000000;
    text-decoration: none;
    transition: background-color 0.3s ease;
}

.bg-youtube {
    background-color: #FF0000 !important;
    color: #fff;
    text-decoration: none;
}

.btn-social.bg-youtube:hover {
    background-color: #CC0000 !important;
    color: #fff;
    text-decoration: none;
    transition: background-color 0.3s ease;
}

.btn-social i {
    /* color: #fff; */
    font-size: 1rem;
    transition: color 0.3s ease;
}

/* Nav Transition Styles */
#mainNav {
    background-color: transparent !important;
    /* Start transparent */
    transition: background-color 0.4s ease-in-out, box-shadow 0.4s ease-in-out;
}

#mainNav.navbar-scrolled {
    /* -webkit-backdrop-filter: blur(15px);
    backdrop-filter: blur(15px); */
    box-shadow: 0px 0 18px rgba(0, 0, 0, 0.1);
    background-color: #002066 !important;
}

/* Active link and hover state color */
#mainNav .navbar-nav .nav-link:hover,
#mainNav .navbar-nav .nav-link.active {
    color: var(--gold-primary) !important;
    /* Gold color for active/hover */
    font-weight: 700 !important;
    /* Bold for active */
}

.section-happiness {
    background-color: #F8F7F6;
}

.section-happiness h2 {
    text-align: center;
    font-weight: 700;
    font-size: clamp(2rem, 4vw, 3rem);
    color: #002366;
    margin-bottom: 2rem;
}

.happiness-card {
    border: none;
    overflow: hidden;
    border-radius: 15px;
    /* box-shadow: 0 5px 25px rgba(0, 0, 0, 0.1); */
    transform: translateY(50px);
    opacity: 0;
    transition: all 1s ease;
    border: 1px solid #a59292;
}

.happiness-card img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    transition: transform 0.5s ease;
}

.happiness-card:hover img {
    transform: scale(1.05);
}

.happiness-card .card-body {
    padding: 1.5rem;
    background: #f8f7f6;
    text-align: center;
    max-height: 160px;
    height: 135px;
    /* border: 1px solid #a59292; */
}

.happiness-card .caption h5 {
    font-weight: 700;
    color: var(--royal-blue);
    font-size: 1rem;
    margin-bottom: .5rem;
    text-transform: capitalize;
}

.happiness-card p {
    font-size: 0.95rem;
    color: #555;
}

.section-summary {
    text-align: center;
    margin-top: 80px;
    font-size: 1.2rem;
    color: #333;
    font-weight: 500;
}

.form-control:focus {

    border-color: var(--gold-primary);
    outline: 0;
    box-shadow: unset;

}

/* .form-control:active::placeholder{
    color:var(--gold-primary);

} */

.form-control::placeholder,
textarea::placeholder,
.form-control {
    /* color: var(--royal-blue); */
    font-size: 0.9rem;
    text-transform: capitalize;

}

/* .footer_bg {
background: linear-gradient(90deg, rgb(223 172 42 / 50%), rgba(0, 0, 0, 0.8)), url(../img/footer-bg.png) center center no-repeat;    align-items: center;
    background-size: cover;
    background-position: center;
} */

.navbar-brand img {
    width: 150px;
    padding-left: 10px;
}

.content_section {
    margin-top: 5rem;
    overflow: hidden;
}

/*  whatsapp btn css*/
.whatsapp-btn {
    position: fixed;
    bottom: 80px;
    right: 20px;
    z-index: 9999;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: #25D366;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    animation: breathe 2s ease-in-out infinite;
}

/*Estilos solo al icono whatsapp*/
.whatsapp-btn i {
    color: #fff;
    font-size: 40px;
    animation: beat 2s ease-in-out infinite;
    text-decoration: none;
}

/*Estilos con animation contorno respirando*/
@keyframes breathe {
    0% {
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.5);
    }

    70% {
        box-shadow: 0 0 0 15px rgba(37, 211, 102, 0);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
    }
}

/*Estilos de animacion del icono latiendo*/
@keyframes beat {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.2);
    }

    100% {
        transform: scale(1);
    }
}


.insta-gradient {
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d6249f 60%, #285AEB 90%) !important;
    color: #fff;
    text-decoration: none;
    width: 60px;
    height: 60px;
    transition: transform 0.3s ease;
    animation: breathe 2s ease-in-out infinite;
}

.insta-gradient:hover {
    transform: scale(1.1);
}

@keyframes beat {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.2);
    }

    100% {
        transform: scale(1);
    }
}


.floating-btn-wrap {
    animation: beat 4s infinite ease-in-out;
    z-index: 1050;
}

.floating-btn-wrap {
    position: fixed;
    bottom: 130px;
    right: 20px;
}

@keyframes breathe {
    0% {
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.5);
    }

    70% {
        box-shadow: 0 0 0 15px rgba(37, 211, 102, 0);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
    }
}

/* * {
    outline: 1px solid red;
} */
/* Ensure link color remains white/gold for mobile menu when collapsed */
@media (max-width: 991.98px) {
    #mainNav .navbar-nav .nav-link {
        color: #FFFFFF !important;
    }

}

@media only screen and (max-width: 600px) {
    .tagline-container {
        min-height: 200px;
        padding-top: 50px;
        margin-bottom: 0px !important;
    }

    .happiness-card .card-body {
        padding: 1rem 10px;

        max-height: 190px;
        height: 120px;
    }

    .navbar-nav {
        text-align: center;
        margin-top: 25px;

    }

    #mainNav {
        background-color: var(--royal-blue) !important;
        transition: background-color 0.4s ease-in-out, box-shadow 0.4s ease-in-out;
    }
}